<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_a62d761f3e831ff9d9da39f9c26ecd" . "dc" => base64_decode("Li4vY29tbW9uL2NvcmUuc" . "Ghw"), "_3d0fad80d1698b9bcb5742bda96db9f" . "8" => base64_decode("Tm8gcmlna" . "HRz"), "_e20b559a1b414495c" . "43a4fbbf2e5015e" => base64_decode("aHR0cF9zZW5kX2ZpbG" . "U="), "_4d707fab93bebb00bbe69e81596" . "97c90" => base64_decode(""), "ac" . "ti" . "on" => base64_decode("YWN" . "0aW" . "9u"), "_3ce655ae4a14421967cc023a6e9" . "07ed5" => base64_decode("aXNfZm" . "lsZQ=="), "_5717b327f1f9b" . "8b82a4c07e8006" . "c2719" => base64_decode("cG5" . "n"), "_af66268e41c5634df3c88007939cbf" . "33" => base64_decode("ZG93bmxvY" . "WQ="), "_2713fc125a2" . "798f62a71e90" . "66f396da7" => base64_decode("Li4vY29t" . "bW9uL2Zp" . "bGVzeXN0" . "ZW0ucGhw"), "pref" . "ix" => base64_decode("cHJlZml" . "4"), "_c330b85d625b10fb446f3" . "51cc78b4d05" => base64_decode("c3RyaXBVbmFs" . "bG93ZWRXaW4z" . "MkNoYXJhY3Rl" . "cnM="), "i" . "d" => base64_decode("aW" . "Q="), "_3be5fb55318614a35b111196" . "62d2e169" => base64_decode("cGxhY2Vob2xkZ" . "XI="), "_2e062cfc10183d31f0" . "f0848e59bfd2b3" => base64_decode("Z2V0X2ZpbGVfZ" . "Xh0ZW5zaW9u"), "_f705bcbe" . "9557715c7" . "8f11a9a57" . "6dfda3" => base64_decode("aW1hZ2VzL3BsYW" . "NlaG9sZGVyL3Bs" . "YWNlaG9sZGVyLn" . "BuZw=="), "_4be135064c4d55c13e6af60" . "c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJtaXNzaW9" . "ucw=="), "_20a7dc9160" . "360d28b227a" . "735cd62a71d" => base64_decode("Li4vY29tbW9uL250bG1fc" . "2Vzc2lvbnN0YXJ0LnBocA" . "=="), "_11ff9bccdcd23cd6bf9" . "d92884ea6cc39" => base64_decode("Li4vY29tbW9uL2Nvbm5lY" . "3QucGhw"), "_23e3a19ac3ae2de10c19a9b00" . "17556f0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzbid0IGV" . "4aXN0"), "_f920f0bf40dcf69c4d" . "aab1426e0564d6" => base64_decode("V3JvbmcgcGFy" . "YW1ldGVycw=="), "_605dec66bbd43fd43b6b2abff58a62e" . "f" => base64_decode("bmF0aXZ" . "l"));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_20a7dc9160360d2" . "8b227a735cd62a71" . "d"];
require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_a62d761f" . "3e831ff9d" . "9da39f9c2" . "6ecddc"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_11ff9bccdc" . "d23cd6bf9d9" . "2884ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2713fc125a2798f" . "62a71e9066f396da" . "7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["prefi" . "x"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["acti" . "on"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f920f0bf40dc" . "f69c4daab1426" . "e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_605dec66bbd4" . "3fd43b6b2abff" . "58a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_f705bcbe95577" . "15c78f11a9a576" . "dfda3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3be5fb55318614a35" . "b11119662d2e169"];
$placeholder_type = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5717b327f1f" . "9b8b82a4c07e" . "8006c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_605dec66bbd43fd43b6b2abff58" . "a62ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4be135064c4d55c13e6af" . "60c45cb1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3d0fad80d1698b9bcb5" . "742bda96db9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_3ce655ae4a14421967cc023a" . "6e907ed5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_23e3a19ac3ae2de10c19a9b0017556f" . "0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2e062cfc10183d31f0f0848e59bf" . "d2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e" . "8159697c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c330b85d625b10fb446f35" . "1cc78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e20b559a1b414495c4" . "3a4fbbf2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_af66268e41c5634df3c8800" . "7939cbf33"] ? DOWNLOAD : INLINE);